Package Details: python3-aur 2017.5-1

Git Clone URL: https://aur.archlinux.org/python3-aur.git (read-only)
Package Base: python3-aur
Description: AUR-related modules and helper utilities (aurploader, aurquery, aurtomatic).
Upstream URL: http://xyne.archlinux.ca/projects/python3-aur
Keywords: arch_linux aur python
Licenses: GPL
Conflicts: aurploader
Provides: aurploader
Replaces: aurploader
Submitter: Xyne
Maintainer: Xyne
Last Packager: Xyne
Votes: 197
Popularity: 3.199757
First Submitted: 2011-07-04 03:22
Last Updated: 2017-05-16 12:56

Latest Comments

alfredo.ardito commented on 2017-05-16 08:00

Built successfully after setting up the right signatures.

gpg --recv-keys --keyserver hkp://pgp.mit.edu 1D1F0DC78F173680

Xyne commented on 2017-05-16 01:02

Try building the package without an AUR helper. I don't know what you're using, but libsoup-gnome and gstreamer0.10-good-plugins are neither direct nor indirect dependencies of python3-aur.

Also, please post full command output in the future so others can see exactly what you've done.

alfredo.ardito commented on 2017-05-13 07:23

Got the following error when building:
(missing 'libsoup-gnome' dependency for 'gstreamer0.10-good-plugins)
--------------------------------------------------------------------
==> Continue installing python3-aur ? [Y/n]
==> [v]iew package contents [c]heck package with namcap
==> ---------------------------------------------------
==>
loading packages...
resolving dependencies...
looking for conflicting packages...

Package (1) New Version Net Change

python3-aur 2017.1-1 0.14 MiB

Total Installed Size: 0.14 MiB

:: Proceed with installation? [Y/n]
(1/1) checking keys in keyring [####################################################################] 100%
(1/1) checking package integrity [####################################################################] 100%
(1/1) loading package files [####################################################################] 100%
(1/1) checking for file conflicts [####################################################################] 100%
(1/1) checking available disk space [####################################################################] 100%
:: Processing package changes...
(1/1) installing python3-aur [####################################################################] 100%
Optional dependencies for python3-aur
curl: Aurploader support [installed]
git: Clone AUR Git repositories. [installed]
:: Running post-transaction hooks...
(1/1) Arming ConditionNeedsUpdate...
error: missing 'libsoup-gnome' dependency for 'gstreamer0.10-good-plugins'

guotsuan commented on 2017-01-05 23:07

Thanks @Xyne

Now paconky.py works again with the new version of python3-aur.

Xyne commented on 2017-01-04 07:27

@guotsuan

I see that you're using Python 3.6. Given that nothing has changed on my end, I expect that this is related to farseerfc's comment on the python3-xcpf page: https://aur.archlinux.org/packages/python3-xcpf/.

Please update and let me know if the error is resolved. I'm not using Python 3.6 yet so I can't test it.

guotsuan commented on 2017-01-03 09:26

Hi @Xyne

After update to the newest version python-aur, I found that paconky.py stop working with the error:

~/.scripts/paconky.py /dev/shm/pacman

==================================

download community-testing.db: ......................... 748196/748196
download community.db: ......................... 3934695/3934695Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/MemoizeDB.py", line 427, in db_clean
c.execute('VACUUM')
sqlite3.OperationalError: cannot VACUUM from within a transaction

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/dccf87/.scripts/paconky.py", line 319, in <module>
main(sys.argv[1], sys.argv[2:])
File "/home/dccf87/.scripts/paconky.py", line 289, in main
aur = AUR.AurRpc()
File "/usr/lib/python3.6/site-packages/AUR/RPC.py", line 359, in __init__
mdb.db_initialize()
File "/usr/lib/python3.6/site-packages/MemoizeDB.py", line 176, in db_initialize
self.db_clean()
File "/usr/lib/python3.6/site-packages/MemoizeDB.py", line 430, in db_clean
raise MDBError('cleaning failed', error=e)
MemoizeDB.MDBError: MDBError: cleaning failed [cannot VACUUM from within a transaction]

Xyne commented on 2016-12-03 20:26

@BryceGuinta
makepkg uses the user's GPG keyring. You need to import my key. It's the same as my TU key on Pacman's GPG keyring.

gpg --recv-keys --keyserver hkp://pgp.mit.edu 1D1F0DC78F173680

See comments in the following thread for details:
https://bbs.archlinux.org/viewtopic.php?id=220274

BryceGuinta commented on 2016-11-27 10:05

@Xyne

This package has an unknown PGP signature. I wanted to try out baurbill however it depends on this package. Any fix?

python3-aur-2016.9.tar.xz ... FAILED (unknown public key 1D1F0DC78F173680)
==> ERROR: One or more PGP signatures could not be verified!

Xyne commented on 2016-07-10 20:56

I have been gradually working on a new backend for a while. It is available for testing here[1]. It is not entirely backwards-compatible so please give it a try now and get ready to migrate your configuration files and scripts. Extension developers are most welcome :D.

Please keep related discussion in the forum thread.

[1] https://bbs.archlinux.org/viewtopic.php?id=214706

skunktrader commented on 2016-04-21 03:38

@Xyne

Thanks very much. Everything working again.

All comments